This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 241660 - Network testing for HTS-5 giving traceback error in ia64 system
Network testing for HTS-5 giving traceback error in ia64 system
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: YangKun
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 09:33 EDT by Satyabrata Maitra
Modified: 2008-07-16 17:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 09:32:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
traceback error file (824 bytes, text/plain)
2007-05-29 09:33 EDT, Satyabrata Maitra
no flags Details
hts-ia64-noarch.rpm (6.49 MB, application/x-rpm)
2007-06-05 02:39 EDT, Satyabrata Maitra
no flags Details
config.xml (428 bytes, text/xml)
2007-06-05 07:16 EDT, Satyabrata Maitra
no flags Details
package.log (17.27 KB, text/plain)
2007-06-05 07:17 EDT, Satyabrata Maitra
no flags Details
plan.xml (1.69 KB, text/xml)
2007-06-05 07:17 EDT, Satyabrata Maitra
no flags Details
rpm (7.07 MB, application/x-rpm)
2007-06-05 07:18 EDT, Satyabrata Maitra
no flags Details
Old RPM, attached b4 too (6.49 MB, application/x-rpm)
2007-06-05 07:19 EDT, Satyabrata Maitra
no flags Details
results.xml for ia64 network bug (44.06 KB, text/xml)
2007-06-25 06:44 EDT, Satyabrata Maitra
no flags Details
results.xml file for hts-network-i386-5Server (59.09 KB, text/xml)
2007-07-18 06:31 EDT, Satyabrata Maitra
no flags Details
output.log file for hts-network-i386-5Server (29.74 KB, text/plain)
2007-07-18 06:32 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2007-05-29 09:33:38 EDT
Description of problem:
Its showing traceback error when run the command hts certify --test network
in ia64 stable system for hardware testing. Error log is given below.

Version-Release number of selected component (if applicable):
hts-5.0-48.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
HTS is going to be run on "RHEL5 Server".

  1. download the latest HTS, dt, lmbench, stress package from porkchop:
      http://porkchop.devel.redhat.com/brewroot/packages/hts/5.0/
      http://porkchop.devel.redhat.com/brewroot/packages/dt/15.14/2.EL5/ia64/
    http://porkchop.devel.redhat.com/brewroot/packages/lmbench/3.0a7/6.EL5/ia64/
  http://porkchop.devel.redhat.com/brewroot/packages/stress/0.18.8/1.3.EL5/ia64/

  2. install HTS on both "test machine" -- stable system(ia64) and "server
machine" -- Any other system.
      # rpm -ivh hts-5.0-XX.noarch.rpm
  3. start HTS server daemon on "server machine":
      # hts server start

  4. make the "plan" on "test machine":
      # hts plan --server X.X.X.X  // "X.X.X.X" is the IP addr of "server
                                   //  machine"

  5. run all "planned" tests on "test machine":
      # hts print                  // list all planned tests, then run
                                   // each of them as following
  6. Run Command : hts certify --test network
  7. 
Actual results:
Nwtwork test giving traceback error

Expected results:
it should Pass successfully.

Additional info:
Traceback error .txt file is attached with this bug.
Comment 1 Satyabrata Maitra 2007-05-29 09:33:38 EDT
Created attachment 155592 [details]
traceback error file
Comment 2 Greg Nichols 2007-05-30 10:47:04 EDT
Please attach /var/hts/results.xml

Also, were there any other errors before the above steps were carried out?  It
looks as though a number of test runs were attempted before the attached error.

After saving an attaching results.xml here, try running "hts clean", then
re-running the steps.

Comment 3 Satyabrata Maitra 2007-06-05 02:39:37 EDT
Created attachment 156176 [details]
hts-ia64-noarch.rpm

Hi Greg

Even if I found results.xml in other systems, but in ia64, there is no such
file I found really! But I attampted and completed tests, that I know. Does it
mean the results are not saving? what to do next? pls inform. Btw, I am doing
as u said, "hts clean" first and then re-run the tests! Lets see what it
stores! Anyway, there is another rpm that stored into /var/hts directory. I am
attaching this one for now. pls have a look and suggest the next!
Comment 4 Satyabrata Maitra 2007-06-05 07:09:25 EDT
Hi Greg
I retested the hts5 in ia64 once again following ur steps.
This time network and other tests PASSED. But the results.xml i am finding nowhere.
I executed the command - hts submit.
I think it should create the results.xml but its not creating. Please see the
following command line messages when executed the command hts submit.

.qa.[root@ia64-5Server hts]# hts submit
loaded configuration /var/hts/config.xml
loaded plan /var/hts/plan.xml
loaded results /var/hts/results.xml
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
copying attachments...
building results rpm...
copying the results rpm to data directory /var/hts
removing HTS logs ...
removing HTS results...
done.
.qa.[root@ia64-5Server hts]# cd /var/hts/
.qa.[root@ia64-5Server hts]# ls
config.xml                                                   package.log
hts-IBM_ia64-ia64_server-Tikanga5_ia64_results-1.noarch.rpm  plan.xml


Now pls inform what to do!
Comment 5 Satyabrata Maitra 2007-06-05 07:16:20 EDT
Created attachment 156203 [details]
config.xml
Comment 6 Satyabrata Maitra 2007-06-05 07:17:18 EDT
Created attachment 156204 [details]
package.log
Comment 7 Satyabrata Maitra 2007-06-05 07:17:35 EDT
Created attachment 156205 [details]
plan.xml
Comment 8 Satyabrata Maitra 2007-06-05 07:18:35 EDT
Created attachment 156206 [details]
rpm
Comment 9 Satyabrata Maitra 2007-06-05 07:19:44 EDT
Created attachment 156208 [details]
Old RPM, attached b4 too

The files found in /var/hts is attached here. Pls have a look.
Comment 10 Greg Nichols 2007-06-19 11:54:23 EDT
The "hts submit" command removes /var/log/results.xml, so that's why you're
having trouble locating it.

Do I understand correctly that after running "hts clean", your re-test was
successful?

Thanks!
Comment 11 Greg Nichols 2007-06-19 11:54:56 EDT
Sorry, I meant /var/hts/results.xml.
Comment 12 Satyabrata Maitra 2007-06-25 06:44:15 EDT
Created attachment 157735 [details]
results.xml for ia64 network bug

I found this file in /var/hts once the network test finished and this time its
PASS! Strange!
Comment 13 Greg Nichols 2007-06-28 09:33:58 EDT
Is the /var filesystem, or any other file system NFS mounted?
Comment 14 Satyabrata Maitra 2007-07-02 03:42:52 EDT
Greg

I found this .xml file for ia64 in /var/hts only, no other NFS mounted file
system I really dnt know!
Comment 15 YangKun 2007-07-03 03:51:14 EDT
Hi Satyabrata,

three ".xml" files will be located in "/var/hts/" on all ARCHes, not only the
ia64 ARCH.

There are three "places" which hold HTS related "output" files:
    o /var/hts/        -- stores "plan.xml", "config.xml", "results.xml" and the
result rpm.
    o /var/log/hts/    -- stores intermediate running logs
    o /usr/src/redhat/RPMS/noarch/    -- stores result rpms

Here's how the HTS works:
  1) when you run "hts plan", the directory "/var/hts/" will be created if it is
not exist yet, and two files(plan.xml and config.xml) will be created and will
be located in /var/hts/ ;
  2) once you run some tests(e.g. "hts certify --test core"), the intermediate
output logs will be stored in "/var/log/hts/*", if the tests finished running
correctly(either PASS or FAIL or ABORT), then a file "/var/hts/results.xml" will
be created(if it's not exist yet) and the test logs will be logged into this
file as well.
  3) when you run "hts submit", the result rpm will be generated into
/usr/src/redhat/RPMS/noarch/ first and then be copied to /var/hts/ , once the
result rpm been generated successfully, the file "/var/hts/results.xml" and all
intermediate output logs under /var/log/hts/ will be removed.


Could you please double check if your issue still exists ?  If not, we will
close this bug.

Thanks!
-YK
Comment 16 Satyabrata Maitra 2007-07-03 08:22:26 EDT
hi Greg

Ya, I followed the procrdure u suggested that day. And I get success as the last
test for hts-network PASSED. I first did hts-clean, then hts-plan and then
performed the particular test. and before doing hts-submit, i collected the
results.xml file for ia64 system.

I followed the same process for i386 too. But it given me traceback error last time.

Anyway, I will then check for i386 once again. Actually i attempted to check
today, but i386-5Server is not responding today, prolly shutdown. I will check
tomorrow again! Once finished, I will inform u. Thanx! :)
Comment 18 Satyabrata Maitra 2007-07-13 07:49:34 EDT
Tested it once again with ia64 system.

Network testing for ia64 system having no issue, Its PASS. And Final for now.

But i386 stable system for RHEL5-Server still down.
Comment 19 YangKun 2007-07-15 22:09:24 EDT

(In reply to comment #18)

> But i386 stable system for RHEL5-Server still down.

Could you please file a bug against this ? Or there is already a bug against this ?

Thanks
-YK
Comment 20 Satyabrata Maitra 2007-07-18 06:19:10 EDT
I retested this bug on i386 stable system - i386-5Server.lab.boston.redhat.com,
following the proper steps.

This time The Test PASS.

results.xml and output.log file is attached with this bug below.

Please resolve this bug as its PASS.

Comment 21 Satyabrata Maitra 2007-07-18 06:31:30 EDT
Created attachment 159505 [details]
results.xml file for hts-network-i386-5Server
Comment 22 Satyabrata Maitra 2007-07-18 06:32:20 EDT
Created attachment 159506 [details]
output.log file for hts-network-i386-5Server

Note You need to log in before you can comment on or make changes to this bug.